swAlphaOverBeta {oce} | R Documentation

## Ratio of seawater thermal expansion coefficient to haline contraction coefficient

### Description

Compute alpha/beta using McDougall's (1987) algorithm.

### Usage

    swAlphaOverBeta(salinity, temperature = NULL, pressure = NULL,
      longitude = NULL, latitude = NULL, eos = getOption("oceEOS", default =
      "gsw"))

### Arguments

`salinity` | either practical salinity (in which case `temperature` and `pressure` must be provided) or an `oce` object (in which case `salinity`, etc. are inferred from the object).
`temperature` | in-situ temperature [degC]
`pressure` | pressure [dbar]
`longitude` | longitude of observation (only used if `eos="gsw"`; see ‘Details’).
`latitude` | latitude of observation (only used if `eos="gsw"`; see ‘Details’).
`eos` | equation of state, either `"unesco"` or `"gsw"`.

### Value

Value in psu/degC.

### Author(s)

Dan Kelley

### References

The `eos="unesco"` formulae are based on the UNESCO equation of state, but are formulaed empirically by Trevor J. McDougall, 1987, Neutral Surfaces, Journal of Physical Oceanography, volume 17, pages 1950-1964. The `eos="gsw"` formulae come from GSW; see references in the `swRho` documentation.

### See Also

Other functions that calculate seawater properties: `T68fromT90`, `T90fromT48`, `T90fromT68`, `swAbsoluteSalinity`, `swAlpha`, `swBeta`, `swCSTp`, `swConservativeTemperature`, `swDepth`, `swDynamicHeight`, `swLapseRate`, `swN2`, `swPressure`, `swRho`, `swRrho`, `swSCTp`, `swSTrho`, `swSigma0`, `swSigma1`, `swSigma2`, `swSigma3`, `swSigma4`, `swSigmaTheta`, `swSigmaT`, `swSigma`, `swSoundAbsorption`, `swSoundSpeed`, `swSpecificHeat`, `swSpice`, `swTFreeze`, `swTSrho`, `swThermalConductivity`, `swTheta`, `swViscosity`, `swZ`

### Examples

    swAlphaOverBeta(40, 10, 4000, eos="unesco") # 0.3476

[Package oce version 0.9-22 Index]